On Sun, 2005-01-30 at 18:39 -0500, Zack Cerza wrote:
> Postinst output attached. Thanks for the quick reply.
Yes, this is a bug. Nonzero exit status from grep causes exit from
alsa-base postinst which runs with "set -e". This will be fixed in
1.0.8-4 which I hope to get uploaded today. In the meantime it would be
helpful if you would test the fix:
--- alsa-base.postinst (revision 713)
+++ alsa-base.postinst (working copy)
@@ -153,7 +153,7 @@
grep -v \
-e "^install .* /usr/lib/alsa/modprobe-post-install" \
-e "^#.*Generated by ALSACONF" \
- -e "^#.*ALSACONF verion"
+ -e "^#.*ALSACONF verion" || :
}
for D in modutils modprobe.d ; do
[ -f "/etc/${D}/alsa-base" ] || warn "/etc/${D}/alsa-base is
abs ent"
@@ -163,7 +163,7 @@
if [ -f /etc/${D}/alsa-base ] ; then
cat "$F" \
| decruft_mlcf \
- | grep -Fv -f "/etc/${D}/alsa-base" \
+ | { grep -Fv -f "/etc/${D}/alsa-base" || : ; } \
> "$F2"
else
cat "$F" \
--
Thomas Hood <[EMAIL PROTECTED]>
--
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]